/*
 *	spFrame_Gtk.h
 */

#ifndef __SPFRAME_GTK_H
#define __SPFRAME_GTK_H

#include <gtk/gtk.h>

#if defined(HAVE_APP_INDICATOR)
#include <libappindicator/app-indicator.h>
#endif

#ifdef __cplusplus
extern "C" {
#endif

typedef struct _spFrameArchPart {
    GtkWidget *toplevel;
#if GTK_CHECK_VERSION(1,2,0)
    GtkAccelGroup *accel_group;
#else
    GtkAcceleratorTable *accel_group;
#endif
#if !GTK_CHECK_VERSION(3,0,0)
    GtkTooltips *tooltips;
#endif
    gint16 prev_width;
    gint16 prev_height;

    guint drop_func_id;
    spDropCallbackFunc drop_call_func;
    void *drop_call_data;

#if GTK_CHECK_VERSION(2,10,0)
    GtkStatusIcon *status_icon;
#if defined(HAVE_APP_INDICATOR)
    AppIndicator *indicator;
#endif
#endif
} spFrameArchPart;

#if GTK_CHECK_VERSION(2,10,0)
extern spBool spIsTaskTrayIconCreatedGtk(spComponent component);
extern spBool spCreateTaskTrayIconGtk(spComponent component);
#endif
extern GtkWidget *spAddGrabGtk(GtkWidget *widget);
extern void spRemoveGrabGtk(GtkWidget *widget);

#if GTK_CHECK_VERSION(1,2,0)
extern void spAddAtomSelectionCallbackGtk(GtkWidget *widget, void *user_data);
extern void spAddAtomSelectionTargetGtk(GtkWidget *widget, char *unique_id);
extern void spFindExcutedApplicationGtk(GtkWidget *widget);
extern void spSetAtomSelectionOwnerGtk(GtkWidget *widget);
#endif
    
#ifdef __cplusplus
}  /* Close scope of 'extern "C"' declaration */
#endif

#endif /* __SPFRAME_GTK_H */
